Agilent U7243B USB3 Electrical Compliance Test Application

Online Help

Version 02.01.0000

© Agilent Technologies, Inc. 2006-2014

Warranty
Technology License
Restricted Rights Legend
Safety Notices

Septemper 1, 2014

Table of Contents

USB3 Electrical Compliance Test Application—At a Glance
Installing the USB3 electrical compliance test application
Installing the Software
Installing the License Key
Preparing to Take Measurements
Required Equipment and Software
Calibrating the Oscilloscope
Connecting the USB 3.0 Test Fixture
Using the Electrical Compliance Test Application
Starting the USB3 Electrical Compliance Test Application
To view/minimize the task flow pane
To view/hide the toolbar
Creating or Opening a Test Project
To set load preferences
Setting Up the Test Environment
Selecting Tests
Configuring Tests
To activate/refresh limit sets
To create/edit limit sets
Connecting the Oscilloscope to the DUT
Running Tests
To select the "store mode"
To run multiple times
To send email on pauses or stops
To pause or stop on events
To specify the event
To set the display preferences
To set the run preferences
Automating the Application
To enter commands in Script mode
To enter commands in Files mode
To begin Script or Files execution
To display automation settings status
To try a command line
Viewing Results
To delete trials from the results
To show reference images and flash mask hits
To change margin thresholds
To change the test display order
To set trial display preferences
Viewing/Exporting/Printing the Report
To export the report
To print the report
Saving Test Projects
To set AutoRecovery preferences
Controlling the Application via a Remote PC
To check for the App Remote license
To identify the remote interface version
To enable the remote interface
To enable remote interface hints
About the Tests
Low Frequency Periodic Signaling (LFPS) Tests
Connection for LFPS Tests
LFPS Peak-Peak Differential Output Voltage Test
LFPS Period (tPeriod) Test
LFPS Burst Width (tBurst) Test
LFPS Repeat Time Interval (tRepeat) Test
LFPS Rise Time Test
LFPS Fall Time Test
LFPS Duty Cycle Test
LFPS AC Common Mode Voltage
Transmitter SSC Tests
Connection for Transmitter SSC Tests
Unit Interval (with SSC) Test
SSC Deviation Test
SSC Modulation Rate Test
SSC Slew Rate Test
Transmitter Eye Near End (TP0) Tests
Connection for Near End (TP0) Transmitter Eye Tests
Near End RMS Random Jitter Test
Near End Maximum Deterministic Jitter Test
Near End Total Jitter At BER-12 Test
Near End Template Test
Near End Peak-To-Peak Differential Output Voltage Test
Transmitter Eye Far End (TP1) Tests
Connection for Far End (TP1) Transmitter Eye Tests
Far End RMS Random Jitter Test
Far End Maximum Deterministic Jitter Test
Far End Total Jitter At BER-12 Test
Far End Template Test
Far End Peak-To-Peak Differential Output Voltage Test
Transmitter Voltage Level Tests (Informative Only)
Connection for Transmitter Voltage Level Tests
Peak-peak Differential Output Voltage Using CP8 Test
De-emphasis Ratio Using CP7 Test
Tx AC Common Mode Voltage Active Test
Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests
Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests
Transmitting the CP0 Test Pattern
Transmitting the CP1 Test Pattern
References to Specification
Table 6.9. SSC Parameters
Table 6-10. Transmitter Normative Electrical Parameters
Table 6-11. Transmitter Informative Electrical Parameters at Silicon Pads
Table 6-12. Normative Transmitter Eye Mask at Test Point TP1
Table 6-20. Normative LFPS Electrical Specification
Table 6-21. LFPS Transmitter Timing
Calibrating the 80000B and 90000A Series Infiniium Oscilloscopes
When to Run Self Calibration
Required Equipment for Calibration
Running the Self Calibration
Running the Automated Test Application on a Second Monitor
Glossary


USB3 Electrical Compliance Test Application—At a Glance

The Agilent U7243B USB3 Electrical Compliance Test Application helps you verify the USB 3.1/3.0 device complies to the electrical requirements on the SuperSpeed physical layer as defined in the USB 3.0 specification, with the Agilent Infiniium digital storage oscilloscopes. The USB3 Electrical Compliance Test Application:

  • Lets you select individual or multiple tests to run.

  • Lets you identify the device being tested and its configuration.

  • Shows you how to make oscilloscope connections to the device under test.

  • Automatically checks for proper oscilloscope configuration.

  • Automatically sets up the oscilloscope for each test.

  • Provides detailed information for each test that has been run and lets you specify the thresholds at which marginal or critical warnings appear.

  • Creates a printable HTML report of the tests that have been run.

[Note]

The tests performed by the USB3 Electrical Compliance Test Application are intended to provide a quick check of the electrical health of the DUT. This testing is not a replacement for an exhaustive test validation plan.

For more information, see:

  • Installing the USB3 electrical compliance test application

  • Preparing to Take Measurements

  • Using the Electrical Compliance Test Application

  • About the Tests

For a printable version of this help file, see: Agilent U7243B USB3 Electrical Compliance Test Application Online Help.

See Also

  • Compliance testing measurements are described in the Universal Serial Bus 3.0 Specification, Revision 1.0. For more information, see the USB3 standards web site at www.usb.org.


Installing the USB3 electrical compliance test application

Installing the Software

Installing the License Key

If you purchased the U7243B USB3 Electrical Compliance Test application separately from your oscilloscope, you need to install the software and license key.


Installing the Software

  1. Make sure you have the minimum required version of the Infiniium oscilloscope software.

    The compliance test application's release notes file describes the minimum required version.

    To check your current version of Infiniium oscilloscope software, choose Help > About Infiniium... from the main menu.

  2. To obtain the USB3 Electrical Compliance Test Application, go to Agilent website: http://www.agilent.com/find/usb.

    The link for USB3 Electrical Compliance Test Application will appear. Double-click on it and follow the instructions to download and install the application software.


Installing the License Key

  1. Request a license code from Agilent by following the instructions on the Entitlement Certificate.

    You will need the oscillocope's "Option ID Number", which you can find in the Help > About Infiniium... dialog.

  2. After you receive your license code from Agilent, choose Utilities > Install Option License....

  3. In the Install Option License dialog, enter your license code and click Install License.

  4. Click OK in the dialog that tells you to restart the Infiniium oscilloscope application software to complete the license installation.

  5. Click Close to close the Install Option License dialog.

  6. Choose File > Exit.

  7. Restart the Infiniium oscilloscope application software to complete the license installation.


Preparing to Take Measurements

Required Equipment and Software

Calibrating the Oscilloscope

Connecting the USB 3.0 Test Fixture

Running the Automated Test Application on a Second Monitor

Before running the automated tests, you need to acquire the required equipment and software, and you should calibrate the oscilloscope. After the oscilloscope has been calibrated, you are ready to start the USB3 Electrical Compliance test application and perform measurements.


Required Equipment and Software

In order to run the USB3 Electrical Compliance Test Application, you need the following equipment and software:

  • 80000B or 90000A Series Infiniium Digital Storage Oscilloscope (DSO). Agilent recommends using 13 GHz and higher bandwidth oscilloscope, with at least 1M memory depth.

    The minimium required Infiniium oscilloscope software versions are described in the compliance test application's release notes file.

    Agilent also recommends using a second monitor to view the automated test application.

  • U7243B USB3 Electrical Compliance Test Application software and license.

  • E2688A Serial Data Analysis and Clock Recovery software and license (optional).

  • N5401A EZJIT Plus software and license (optional).

  • Precision BNC to SMA adapter, quantity = 2.

  • 50 ohm coaxial cable (24 inches or shorter), quantity = 2, OR

  • 1169A Infiniimax probe, quantity = 2.

  • U7242A USB 3.0 test fixture.

  • Keyboard, quantity = 1 (provided with Agilent Infiniium oscilloscope).

  • Mouse, quantity = 1 (provided with Agilent Infiniium oscilloscope).


Calibrating the Oscilloscope

If you have not already calibrated the oscilloscope, see Calibrating the 80000B and 90000A Series Infiniium Oscilloscopes.

[Note]

If the ambient temperature changes more than 5 degrees Celsius from the calibration temperature, internal calibration should be performed again. The delta between the calibration temperature and the present operating temperature is shown in the Utilities > Calibration menu.

[Note]

If you switch cables between channels or other oscilloscopes, it is necessary to perform cable and probe calibration again. Agilent recommends that, once calibration is performed, you label the cables with the channel for which they were calibrated.


Connecting the USB 3.0 Test Fixture

Figure 1. Block Diagram of U7242A USB 3.0 Test Fixture

Block Diagram of U7242A USB 3.0 Test Fixture

The U7242A USB 3.0 test fixture is required to perform the USB3 electrical compliance test measurements. The fixture helps you to easily access the USB 3.0 test signals.

The connection to this test fixture depends on the type of device under test (DUT):

For Device test:

  1. Connect DUT to J1 by using 4 inches USB 3.0 Standard-A to Standard-B cable.

  2. Connect J6 and J7 to the oscilloscope to measure USB 2.0 signal.

  3. Connect J2 and J3 to the oscilloscope to measure the SuperSpeed (USB 3.0) Transmitter signal.

  4. Connect J4 and J5 to the oscilloscope to measure the SuperSpeed (USB 3.0) Receiver signal.

For Host test:

  1. Connect DUT to J8 by using 4 inches USB 3.0 Standard-A to Standard-B cable.

  2. Connect J13 and J14 to the oscilloscope to measure USB 2.0 signal.

  3. Connect J11 and J12 to the oscilloscope to measure the SuperSpeed (USB 3.0) Transmitter signal.

  4. Connect J9 and J10 to the oscilloscope to measure the SuperSpeed (USB 3.0) Receiver signal.

For Hub Upstream test:

  1. Follow the connection as per the Device test.

For Hub Downstream test:

  1. Follow the connection as per the Host test.


Using the Electrical Compliance Test Application

Starting the USB3 Electrical Compliance Test Application

Creating or Opening a Test Project

Setting Up the Test Environment

Selecting Tests

Configuring Tests

Connecting the Oscilloscope to the DUT

Running Tests

Automating the Application

Viewing Results

Viewing/Exporting/Printing the Report

Saving Test Projects

Controlling the Application via a Remote PC

This chapter shows how to use the USB3 Electrical Compliance Test application.


Starting the USB3 Electrical Compliance Test Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze > Automated Test Apps > U7243B USB3 Test App.

    The USB3 Electrical Compliance test application window appears.

    [Note]

    If U7243B USB3 Test App does not appear in the Automated Test Apps menu, the USB3 Electrical Compliance test application has not been installed (see Installing the USB3 electrical compliance test application).

The task flow pane and the tabs in the main pane, show the steps you take when running the automated tests:

Set Up | Lets you identify the test environment, including information about the device being tested and type of input signal to test (live signal captured from the oscilloscope or pre-recorded signal saved into waveform files).
Select Tests | Lets you select the tests you want to run. The tests are organized hierarchically so you can select all tests in a group. After tests are run, status indicators show which tests have passed, failed, or not been run, and there are indicators for the test groups.
Configure | Lets you configure the test parameters (for example, test type).
Connect | Shows you how to connect the oscilloscope to the device under test for the tests that are to be run.
Run Tests | Starts the automated tests. If the connections to the device under test need to be changed while multiple tests are running, the tests pause, show you how to change the connection, and wait for you to confirm that the connections have been changed before continuing.
Automation | The Automation tab lets you construct command scripts that drive execution of the application.
Results | Contains more detailed information about the tests that have been run. You can change the thresholds at which marginal or critical warnings appear.
Html Report | Shows a compliance test report that can be printed.

See Also

  • To view/minimize the task flow pane

  • To view/hide the toolbar

Next

  • Creating or Opening a Test Project


To view/minimize the task flow pane

  • To toggle between a minimized and restored task flow pane, choose View > Task Flow from the menu.

  • To minimize the task flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the Task Flow button in the pane.


To view/hide the toolbar

  • To toggle between a hidden and visible toolbar, choose View > Toolbar from the menu.


Creating or Opening a Test Project

To create a new test project:

  1. Choose File > New Project... from the menu.

    A new, empty project, with all the default settings is created.

To open an existing test project:

  1. Choose File > Open Project... from the menu.

  2. In the Open dialog, browse to a test project directory and select the desired ".proj" file.

  3. Click Open.

See Also

  • To set load preferences

Next

  • Setting Up the Test Environment


To set load preferences

  1. From the USB3 Electrical Compliance Test application's menu, choose View > Preferences....

  2. In the Preferences dialog, select the Save/Load tab.

  3. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Setting Up the Test Environment

  1. Click the Set Up tab, or click the Set Up box in the Task Flow pane.

    The Set Up tab lets you identity the test environment, including information about the device under test and type of input signal to test, that is, whether it is a live signal captured from the oscilloscope or pre-recorded signal saved into waveform files.

    There are seven main parameter groups in the Set Up tab.

  2. Under the Device information group, select the type of device under test. Enter the device ID for reporting.

  3. Under the Test Point group, select the test point at which to perform the tests.

    Note that checking Debug Mode enables Tx Near End, Custom Eye Template, and Agilent SDA (in the Test Information group).

    • Tx Far End (TP1) — specifies transmitter tests are to be performed for the far end test point, TP1. This test point references Table 6-9, Table 6-10 and Table 6-12 of the USB 3.0 Specification.

    • Tx Near End (TP0) — specifies transmitter tests are to be performed for the near end test point, TP0. This test point references Table 6-9, 6-10, and Table 6-11 of the USB 3.0 Specification.

    • Custom Eye Template — lets you load your own eye template:

  4. Under the Test Information group, you can specify the test parameters — reference clock, de-emphasis mode, and test method:

    • Reference Clock — defines whether the device under test uses either Spread Spectrum Clocking (SSC), Radio Friendly SSC, or clean clock.

    • De-Emphasis Mode — defines whether the transmitter signals include de-emphasis.

    • Test Method — defines either to use SigTest dll or Agilent's SDA and EZJIT+ software, to perform the test analysis. Checking both checkboxes enables both test modes. Note that Agilent SDA is enabled only if the Debug Mode checkbox is checked.

      If both E2688A Serial Data Analysis and N5401A EZJIT Plus options are not available, the Agilent SDA checkbox will be disabled. If either one of the license options is available, then the checkbox is enabled.

      As mentioned earlier, if only the E2688A Serial Data Analysis option is available, the Agilent SDA checkbox is enabled, however only the following SDA tests are available:

      • Near End/Far End Template Tests (SDA).

      • Near End/Far End Peak Differential Output Voltage Test (SDA).

      Similarly, if only the N5401A EZJIT Plus option is available, the Agilent SDA checkbox is also enabled but only the following SDA tests are available:

      • Near End/Far End RMS Random Jitter (SDA).

      • Near End/Far End Maximum Deterministic Jitter (SDA).

      • Near End/Far End Total Jitter At BER-12 (SDA).

    • CTLE On — check to enable the equalization function when there are long cables and channels that cause the eye at the receiver to close.

  5. Under the Embed/De-embed Settings group, you can define whether the signal embed/de-embed is required.

    You may want to perform power de-embedding to compensate for loss from the test fixture and probes. Similarly, you may also perform signal embed to simulate power loss conditions. You should provide the S-parameter file of the system under test to perform signal power embed or de-embed:

    • Normal Channel — This option turns on the InfiniiSim function on the channel under test that uses a standard super speed connector.

    • MicroB — This option turns on the InfiniiSim function on the channel under test that uses a MicroB super speed connector.

    • Tethered — This option turns on the InfiniiSim function on the channel under test that has an attached cable.

    • None — No embed or de-embed takes place and the original differential source is used to perform the analysis.

  6. Under the Input Signal group, you may decide either to capture a live signal from the oscilloscope or load a saved waveform signal to be tested:

    • Live Signal — Live signals are captured and analyzed directly from the oscilloscope.

    • Saved Signal — Saved waveforms saved as waveform file (*.wfm) format are loaded and analyzed.

      To run tests using a saved waveform, you must click Saved Waveform Setup to set up the inputs for each channel.

      • For differential signals, only one differential signal is required for each pattern type.

      • For single ended signals, a signal for D+ and D- is required for each type of pattern.

      • For all tests except for LFPS tests, you need to input both CP0 and CP1 signal patterns so that the test can run all the way through without interrupting you to change the test pattern half way through the test.

      • For LFPS tests, only the LFPS input signals are required.

  7. Under the Test Report group, you may enter comments to be included in the test report.

Next

  • Selecting Tests


Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests you want to run.

    Some things to note:

    • Checking a parent node/group will check all available sub-groups/tests.

    • Unchecking a parent node/group will uncheck all sub-groups/tests.

    • A parent node is checked if all subgroups are checked.

    • A parent node is unchecked if ANY subgroup is unchecked.

[Note]

If a test has a non-range limit of 0, that is, value < 0, then the test application will provide a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

Using the Right-Click Pop-Up Menu

When you right-click in the test pane, it produces a pop-up menu containing some shortcuts for selecting and deselecting tests.

When Tests Have Already Been Run

If tests have already been run, you see their status in the Select Tests tab.

The marks have the following meanings:

The test passed.
The test failed.
The test has not been run, or no tests in the group have been run.
The test is currently running.
Some tests in the group have run and passed.
Some tests in the group have run and failed.
Some tests in the group have passed and some have failed; not all of the tests have been run.
Some tests in the group have passed and some have failed; all of the tests have run.
All tests in the group have run and passed.
All tests in the group have run and failed.

See Also

  • About the Tests (for more information on specific tests)

Next

  • Configuring Tests


Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  2. Select the bulleted item for the settings you want to configure; then, select or enter your settings.

    A description of the selected configuration item appears in the lower, right part of the application window.

    Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

[Tip]

A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

These are the items you can configure:

Auto Save Waveform | Choose ON to auto save waveforms. The software will automatically save captured waveforms into the project folder.
Signal Check | When signal check is enabled, the input signal is pre-tested and verified to be within a reasonable range of timing and voltage limits. This can be useful for detecting problems like cabling errors before a test is run. Test pattern check is also done if signal check is enabled.
Connection Type | Identifies the channels to process. For direct connect, connect the first channel to the "+" signal and the second channel to the "-" signal.
Number of UI | This is the minimum number of unit intervals used in the Eye-Width, TJ at BER-12, Maximum DJ, RMS RJ and Template tests. These measurements should be made using the compliance pattern at a sample size of at least 1E+6 (1,000,000) UI as specified in the USB 3.0 Specification Rev. 1.0. Specifying a greater number of UI will increase the test time and accuracy of the tests.
Automate Test Pattern Change | Select "Auto" to let the application change the DUT's test pattern automatically using the AUX OUT of the oscilloscope. Select "Manual" to manually change the DUT's test pattern.
Test Pattern | Test pattern to use. When "Both" is selected, CP1 is used for RJ measurement and CP0 is used for DJ measurement as required by USB 3.0 specification. You will be prompted to change test patterns during RJ/DJ/TJ tests if required.
Measurement Threshold | Select the measurement threshold level.
LFPS Trigger Level | Trigger level to capture the LFPS signal.
Include 1st LFPS Burst | Specify whether to include the first burst when performing LFPS test.
Measurement Trend Smoothing Points | Select the number of smoothing points to use for the measurement trend plot. The cut-off frequency shown is calculated using the formula Fc = (0.4428 * 5G)/smoothing points.
Measurement Trend Smoothing Points For Modulation Rate Test | Select the number of smoothing points to use for the measurement trend plot for modulation rate test only. The cut-off frequency shown here is calculated using the formula Fc= (0.4428 * 5G)/smoothing points.
De-emphasis test pattern | Select the test pattern to measure de-emphasis level. If only CP7 is used, it is assumed the signal contains de-emphasis/pre-emphasis levels. If CP7/CP8 is selected, it is assumed the CP7 signal is the de-emphasised signal whereas the CP8 signal is the full swing signal.
Clock recovery nominal data rate | Nominal data rate for clock recovery. This option is available with SDA tests only.
Clock recovery loop bandwidth | Loop bandwidth for clock recovery. This option is available with SDA tests only.
Clock recovery damping factor | Damping factor for clock recovery. This option is available with SDA tests only.
RJ DJ Jitter BER Level | RJ DJ Jitter BER level. This option is available with SDA tests only.
RJ DJ pattern length | RJ DJ Pattern Length. This option is available with SDA tests only.
RJ Bandwidth | RJ bandwidth. This option is available with SDA tests only.
RJ DJ ISI Filter Lead | RJ DJ ISI Filter Lead. This option is available with SDA tests only.
RJ DJ ISI Filter Lag | RJ DJ ISI Filter Lag. This option is available with SDA tests only.

See Also

  • To activate/refresh limit sets

  • To create/edit limit sets

Next

  • Connecting the Oscilloscope to the DUT


To activate/refresh limit sets

Limit sets are the values you test your device against. Official limit sets are provided with the application. You can also define your own limit sets to test against.

To refresh the current limit set or activate a new limit set:

  1. From the USB3 Electrical Compliance Test application's menu, choose Tools > Compliance limits > Activate/Refresh limit set....

    Or, in the Configure tab, click Activate/Refresh Limit Set....

  2. In the Activate/Refresh Pass/Fail Limit Set dialog, select one of the official limit sets or a user-defined limit set.

  3. Click Activate/Refresh.

[Note]

If you have existing test results when you activate a different limit set, the application examines your results to see if any of them would experience a limit change when the different limit set is loaded. If any results would be affected in this way, the application tells you which ones they are and warns that they must be deleted.

See Also

  • To create/edit limit sets


To create/edit limit sets

You can create new limit sets by modifying existing limit sets and saving them to new files.

  1. From the USB3 Electrical Compliance Test application's menu, choose Tools > Compliance limits > Create/Edit limit set....

  2. In the Create/Edit User-Defined Limit Set dialog, click Load Limit Set... to pre-load the dialog with an existing official or user-defined limit set.

  3. Give the new limit set a unique name (different from any official limit set's name). If all of the tests come from the same reference, you can enter a base description (for example, document name) in the Shared Reference field and then add test-specific references (for example, page number) down below.

  4. Select a limit to modify.

  5. Modify the limit as desired. See also:

    • To combine limits

    • To split a combined limit

  6. Repeat the last two steps until all limits requiring change are modified.

  7. Click Save As... to save your custom limit set to a file. Enter the file name in the Save File As dialog.

    Now, you can activate your newly-created limit set for use in the next run. See To activate/refresh limit sets.

    You can confirm your new limit set is active by reviewing the Configure tab status field or by checking the description of any of the tests whose limits you modified.

When Loading Projects

When you load a project, the application will attempt to restore the limit set that was in use at the time the project was saved. For legacy projects, which do not include this information, the application will examine the results being loaded to see if any of them would experience a limit change due to the limit set currently active in the application. If any results would be affected in this way, the application will load the project as read-only.


To combine limits

  1. In the Create/Edit User-Defined Limit Set dialog (see To create/edit limit sets), select the limits you want to combine, and click Combine....

  2. In the Combine Multiple Test Limits dialog, select which limit to copy values from and provide summary names and descriptions.

  3. Click Finish.

See Also

  • To split a combined limit


To split a combined limit

If a limit covers more than one test ID, you can split it into two limits.

  1. In the Create/Edit User-Defined Limit Set dialog (see To create/edit limit sets), select the limit that covers multiple tests, and click Split....

    In this case, we are splitting a 2-test limit into two single-test limits.

  2. In the Split Test Limit dialog, assign one of the tests to the new limit by selecting it and clicking the --> button.

  3. Click Finish.

See Also

  • To combine limits


Connecting the Oscilloscope to the DUT

  1. Click the Connect tab, or click the Connect box in the Task Flow pane.

  2. Follow the displayed instructions for connecting the oscilloscope to the device under test.

  3. When connections to the device under test have been made, check the I have completed these instructions box.

Next

  • Running Tests


Running Tests

[Note]

You should allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

[Tip]

It is a good idea to calibrate the oscilloscope at least once a year or when the Calibration ΔTemp is greater than ±5 °C. The Calibration ΔTemp is found in the Help > About Infiniium... menu on the Infiniium oscilloscope.

The Run Tests tab's settings let you run the selected tests once or multiple times. When you run tests multiple times, there are options for selecting which trials are stored and how long tests are run.

To run the selected tests once:

  1. Start the test run.

    There are several ways to run selected tests:

    • Click Run Tests in the Task Flow pane.

    • Click [image] in the toolbar.

    • Select a branch in the Select Tests tab; then, click [image] in the toolbar.

    • Select the Run Tests tab, make sure the Once "run until" option is selected, and click the big Run button.

    For more information on additional run options, see:

    • To select the "store mode"

    • To run multiple times

    • To send email on pauses or stops

    • To pause or stop on events

    • To specify the event

  2. If there are existing test results, you are asked if you would like to keep them or re-test (delete) them.

    If you would like to keep the existing test results to compare against new results, select Append New "Trial" Results.

    Select Replace the Existing Results if you would like to delete the existing test results.

  3. While the tests are running, status dialogs appear to inform you about the test progress.

  4. When the tests are complete, click OK.

See Also

  • To set the display preferences

  • To set the run preferences

Next

  • Viewing Results


To select the "store mode"

When running tests multiple times, you can select which trials are stored.

  1. Select the Run Tests tab.

  2. In the Store Mode area, select:

    • Best — stores the results of the best N trials.

    • Event — stores the results of N trials in which the event is detected. The event is determined in the Event area. See To specify the event.

    • Last — stores the results of the last N trials.

    • Worst — stores the results of the worst N trials.

Up to 25 trials can be stored.

If you change the Store Mode when test results exist, the existing results will be deleted.

The Store Mode selection affects the trial display options in the Report tab of the Preference dialog. See To set trial display preferences.


To run multiple times

The "run until" option lets you specify whether tests are run once or multiple times.

  1. Select the Run Tests tab.

  2. In the Run Until area, select:

    • Forever — runs the tests repeatedly until you click the Cancel button.

    • N Times — runs the tests N times. When this option is selected, you can specify the number of runs and whether pauses occur between each run.

    • Once — runs the tests only once. This is the default setting.

When multiple runs are selected, you can use the trial display options in the Report tab of the Preference dialog to specify how many trials are displayed in the test report. See To set trial display preferences.


To send email on pauses or stops

You can configure the test application to send email whenever a run pauses or ends.

  1. Select the Run Tests tab.

  2. In the Run Until area, check Send email.

  3. Click Configure.

  4. In the Configure Email dialog, enter your To and From email addresses and the hostname of the SMTP Server.

  5. Click OK.

Pauses can occur between runs when running a specific number of times (see To run multiple times) or when pausing on an event (see To pause or stop on events).


To pause or stop on events

You can set up test runs to pause or stop on events which are checked at the end of each test.

  1. Select the Run Tests tab.

  2. In the Run Until area, check On event.

  3. In the drop-down selection field that appears, select either:

    • Pause — causes the run to pause when the event is detected.

    • Stop — cause the run to stop when the event is detected.

  4. In the Event area, specify the type of event. See To specify the event.

Pauses or stops can be set up to automatically send email (see To send email on pauses or stops).


To specify the event

In the Store Mode area when you have selected Event (see To select the "store mode") or in the Run Until area when you have selected to pause or stop on an event (see To pause or stop on events), the Event area appears so that you can specify the event.

  1. In the Event area, select the type of event:

    • Fail — causes the event to fire when a prerequisite test or selected test fails.

    • Margin < N — causes the event to fire when a test generates a margin < specified. When this option is selected, enter the minimum required margin percentage.

    • Pass — causes the event to fire when a test passes (excluding prerequisite tests).

    A tilde "~" character in the event selection drop-down shows that the event is unavailable. If you select an event type that is not available, a dialog tells you why. For example, the Pass condition is only available when the Store Mode is set to Best, Event, or Last. As such, the condition appears as ~Pass when the Store Mode is set to Worst.


To set the display preferences

Information, warning, and error conditions can occur while running tests. The display preferences let you choose whether message dialogs are shown. And, there are other display preferences that affect what happens as tests are run.

  1. From the USB3 Electrical Compliance Test application's menu, choose View > Preferences....

  2. In the Preferences dialog, select the Display tab.

  3. In the Display tab, you can choose to show the following types of message dialogs:

    • Information dialogs.

    • Warning dialogs.

    • Error dialogs.

    [Note]

    Messages that require you to make a choice, such as "OK/Cancel" and "Yes/No" are always enabled.

  4. Also, you can choose to:

    • Invert scope display — (white background) when the application captures the screen shots. Note that no inversion takes place is the oscilloscope's ColorGrade is enabled.

    • Keep application on top — Always keep the application's main dialog on the top of the Infiniium application. Note that the mid-run dialogs are always displayed on the top.

    • Log events — Use this option only when directed to by Agilent Support (Note that this option degrades the runtime performance).

    • Show tooltips — By enabling this option, the tooltips appear as you move the pointer over various controls in the application.

  5. Click Apply to save the changes and click OK to close the Preferences dialog.


To set the run preferences

Information, warning, and error conditions can occur while running tests. The display preferences let you choose whether message dialogs are shown. And, there are other display preferences that affect what happens as tests are run.

  1. From the USB3 Electrical Compliance Test application's menu, choose View > Preferences....

  2. In the Preferences dialog, select the Run tab.

  3. In the Run tab, specify Prompts settings:

    • Beep when user prompted — causes the oscilloscope to beep when there is prompt for user input.

    • Beep only during run — specifies that beeps only occur during runs.

  4. Specify Test Abort Action settings:

    • Continue the run — causes tests to continue running after a test aborts. When this option is selected, you can view problem descriptions after the run ends.

    • Stop the run — causes the run to stop after a test aborts, and the problem is reported immediately.

    Note that these settings do not affect the Stop button.

  5. Click Apply to save the changes and click OK to close the Preferences dialog.


Automating the Application

The Automation tab lets you construct command scripts that drive execution of the application.

You can select from two modes, Script and Files:

See:

  • To enter commands in Script mode

  • To enter commands in Files mode

  • To begin Script or Files execution

  • To display automation settings status

  • To try a command line


To enter commands in Script mode

In Script mode, the application will execute the commands it finds in the script text box:

You may either type in commands (one per line) or use the Commands… generator to construct them. A script may be saved to a text file to make it easy to switch to the Files automation method.

The command generator is opened by clicking Commands…. It can generate single commands or sample scripts that demonstrate how commands work together.

In Single Command mode, select the tab that corresponds to the real application tab containing the controls you want to affect. Then, select which action you want to perform. The screen will then show you what automation command performs that action. Most commands are shown with placeholder parameters along with instructions on how to customize them:

In Entire Script mode, select a script that describes a task you would like to know more about:

Once you have found the command or script you want, you may copy it to the clipboard or automatically append it to the script in the Automation tab. You may optionally include instructions to guide you in customizing the commands:

[Note]

In the Automation tab script, lines starting with the pound symbol (#) do not execute.

See Also

  • To begin Script or Files execution


To enter commands in Files mode

In Files mode, the application will execute the commands it finds in the files shown in the list. The list is constructed and managed via the buttons on the left:

See Also

  • To begin Script or Files execution


To begin Script or Files execution

Click Start to begin Script or Files execution:

Before the first test executes, you may abort by clicking the same button (now labeled Stop) again. Once the run begins, the main dialog goes away so you would use the Run Dialog's Stop button instead:


To display automation settings status

Some commands will make visible changes to the application's tabs, such as selecting a test. Other commands only modify invisible settings, such as "SuppressMessages". The Automation Settings status dialog displays the current value of the invisible properties:


To try a command line

To experiment with a command, type it in the Try a command field and press <Enter> to execute it. If it has a visible effect, such as selecting a test, you may then go to another tab to see if it behaved as expected.


Viewing Results

  1. Click [image] in the toolbar, or click the Results tab.

    The Results tab contains three resizable panes for test results information. If you select one of the tests in the top pane, details and reference images (if any) are shown in the lower panes.

    The summary of the test trial is displayed in the bottom left pane. It also shows the Worst Trial (depending on your settings in the Store Mode of the Run Tests tab).

    The bottom right pane may have several tabs, depending on the selected Report Preferences. If more than one trial is selected, then the first tab will be the Summary tab. It shows the summary of all the test trials. A maximum of 25 trials can be displayed at any one time.

    If the worst first is selected as the trial display option, the Worst Trial will be the next tab after the Summary tab, followed by other trials in the order of trial performance.

    The reference images will appear in the bottom right pane for the selected trials. See To show reference images and flash mask hits for more details on reference images.

[Tip]

A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

[Note]

If a test has a non-range limit of 0, that is, value < 0, then the test application will provide a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

See Also

  • To delete trials from the results

  • To show reference images and flash mask hits

  • To change margin thresholds

  • To change the test display order

  • To set trial display preferences

Next

  • Viewing/Exporting/Printing the Report


To delete trials from the results

  1. In the Results tab, choose one of these ways to delete a trial:

    • While a test result entry (at upper pane) or trial tab (at lower pane) has input focus, either click on the toolbar 'delete' button or press the delete key on the keyboard OR:

    • Another option is to right-click at a test result (at upper pane) and select a trial or test to delete OR:

    • Right-click inside the display area of trial summary tab (at the lower pane):

  2. Select the trial to delete:

  3. If other tests have results that were generated during the same trial run as the trial you are deleting, you will be asked if you wish to delete these tests at the same time.

    [Note]

    The trial numbers of the affected results may not match. The application presents you with those results that were generated during the same run. You can decide to delete those other trials as well.

  4. Once you have selected the trials to delete and clicked OK, you get a confirmation dialog:

  5. The remaining trials are renumbered downwards to fill in the hole left by the deleted trial:

  6. If you delete the last remaining trial of a test, the entire test results are removed:

NOTE:

There are two situations in which you are not allowed to delete a trial:

  • Case 1: The trial you attempt to delete is the last remaining extreme trial but not the last remaining trial. In the USB3.0 test application, the maximum number of trials displayed is 64. For example:

    1. Let's assume N is 64 (the maximum number of trials displayed).

    2. You have run more than N trials of a test.

    3. Now, you can delete up to N-1, where all these tests are displayed in the individual result tabs. You will not be able to delete the last remaining test displayed in the individual result tab or other non-displayed tests; however, you can delete the entire test.

  • Case 2: The trial you attempt to delete is associated with a trial defined in Case 1.

See Also

  • Viewing Results


To show reference images and flash mask hits

  1. In the Results tab, click on an image in the Reference Images pane.

    This opens the reference image dialog.

    In the reference image dialog, you can:

    • Click the [image] flash red pixels button to highlight the points of failure.

    • Click the [image] zoom in or [image] zoom out buttons to resize the dialog.

  2. Click the [image] close button to close the # Mask Failures dialog.


To change margin thresholds

  1. From the USB3 Electrical Compliance test application's menu, choose View > Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Preferences dialog, select the Report tab.

  3. In the Margin Reporting area, you can:

    • Enable or disable margin highlighting.

    • Change the percent of margin at which to give warnings or critical failures.

  4. Click OK to save your changes and close the Preferences dialog.


To change the test display order

  1. From the USB3 Electrical Compliance test application's menu, choose View > Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Preferences dialog, select the Report tab.

  3. In the Test Display area, you can:

    • Order tests chronologically or use the same ordering as in the Select Tests tab.

  4. Click OK to save your changes and close the Preferences dialog.


To set trial display preferences

  1. From the USB3 Electrical Compliance test application's menu, choose View > Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

  2. In the Preferences dialog, select the Report tab.

  3. In the Trial Display area, you can:

    • Select the maximum number of trials, up to 25, whose details are displayed at one time.

    • Order trial details chronologically or by "best", "worst", or "last" trial first.

    • Specify whether screens captured during the run are displayed in the Results tab.

    Note that the "worst", "best", or "last" trials depends on the "store mode" setting in the Run Tests tab. See To select the "store mode".

  4. Click Apply to save the changes and click OK to close the Preferences dialog.

[Note]

These settings only affect the viewing of results and not their capture. Therefore, a change can be made to either before or after running the tests.


Viewing/Exporting/Printing the Report

  • To view the HTML test report, click the Html Report tab.

See Also

  • To export the report

  • To print the report

Next

  • Saving Test Projects


To export the report

  1. From the USB3 Electrical Compliance Test application's menu, choose File > Export Results > from the menu.

    There are two options for exporting the HTML test report: CSV or HTML.

To export results in CSV (comma-separated values) format

Select the CSV option to export the results as a comma-separated list of values.

The data format is shown in the first line of the exported *.csv file.

To export the report in HTML format

There are two options for exporting HTML format test reports:

  • Single-File — To save a single-file report, use the "save as" type "Web Archive, single file (.mht)".

    [Note]

    Single-file reports will not contain hyperlinks in the summary table (due to a .mht format limitation). If you want these hyperlinks, use the multi-file format.

  • Multi-File — If your report is large and you would like to use links within the report, select the HTML > Multi-File option. Selecting the multi-file option exports the results as a set of separate image and HTML files. It creates a folder with the specified name that may be copied to any computer.

    To view the exported report, open the HTML file stored in the folder.


To print the report

  • To preview the HTML test report printout, click [image] or choose File > Print Preview... from the menu.

  • To print the HTML test report, click [image] or choose File > Print... from the menu.


Saving Test Projects

To save test settings and results to the current project directory:

  1. Choose File > Save Project from the menu.

To save test settings and results to a new project directory:

  1. Choose File > Save Project As... from the menu.

  2. In the Save Project As... dialog, enter the device name and location.

    Project files will be saved in a directory whose name is the device name.

  3. Click OK.

See Also

  • To set AutoRecovery preferences


To set AutoRecovery preferences

  1. From the USB3 Electrical Compliance Test application's menu, choose View > Preferences....

  2. In the Preferences dialog, select the Save/Load tab.

  3. In the AutoRecovery area, you can choose:

    • To auto-save results after each trial or permutation even if the entire multi-trial is not completed. This option enables full recovery.

    • To auto-save results only upon the completion of the entire multi-trial.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


Controlling the Application via a Remote PC

If the oscilloscope has the App Remote license option installed (for the N5452A remote interface), the USB3 Electrical Compliance Test application's Preference dialog will have a Remote tab for enabling the remote interface and setting remote options.

The N5452A remote interface lets you control Infiniium compliance applications from a remote PC. It comes with ready to run executables, but it also lets you create custom programs using a .NET 2.0 programming language or the National Instruments' LabVIEW 8.5 graphical programming environment.

With the remote interface, you can:

  • Launch and close applications.

  • Configure options.

  • Run tests.

  • Obtain results.

  • Control when and where dialogs are displayed.

  • Save and load projects.

For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Agilent web site.

See Also

  • To check for the App Remote license

  • To identify the remote interface version

  • To enable the remote interface

  • To enable remote interface hints


To check for the App Remote license

  1. From the Infiniium oscilloscope's main menu, choose Help > About Infiniium.

  2. In the license list, check for the App Remote license as shown below.


To identify the remote interface version

  1. From the USB3 Electrical Compliance Test application's menu, choose Help > About....

  2. In the About dialog, the remote interface version is listed above other version information.


To enable the remote interface

  1. From the USB3 Electrical Compliance Test application's menu, choose View > Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. Check the Enable remote interface option if you need to access the application remotely.

    If you are performing the tests with the application's user interface and want to ensure no remote users accidentally interfere with you, disable the remote interface by un-checking this option.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


To enable remote interface hints

  1. From the USB3 Electrical Compliance Test application's menu, choose View > Preferences....

  2. In the Preferences dialog, select the Remote tab.

  3. In the remote options area, check Show remote interface hints.

    When this option is checked:

    • You can select the remote programming language described in the tips.

    • Tooltips related to the remote interface commands appear when you click the toolbar.

    • Various controls in the tabs will have a context menu item added as "Remote interface hint…".

    • The Select Tests and Configure tabs will display a remote hint in their description panes at the bottom of the screen, when an item is selected.

  4. Click Apply to save the changes and click OK to close the Preferences dialog.


About the Tests

Low Frequency Periodic Signaling (LFPS) Tests

Transmitter SSC Tests

Transmitter Eye Near End (TP0) Tests

Transmitter Eye Far End (TP1) Tests

Transmitter Voltage Level Tests (Informative Only)

Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests

Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests

Transmitting the CP0 Test Pattern

Transmitting the CP1 Test Pattern

References to Specification

This chapter describes the tests that are performed by the USB3 Electrical Compliance Test application in more detail; it contains information from (and refers to) the Universal Serial Bus 3.0 Specification, Revision 1.0, and it describes how the tests are performed.


Low Frequency Periodic Signaling (LFPS) Tests

  • Connection for LFPS Tests

  • LFPS Peak-Peak Differential Output Voltage Test

  • LFPS Period (tPeriod) Test

  • LFPS Burst Width (tBurst) Test

  • LFPS Repeat Time Interval (tRepeat) Test

  • LFPS Rise Time Test

  • LFPS Fall Time Test

  • LFPS Duty Cycle Test

  • LFPS AC Common Mode Voltage

This section provides the Methods of Implementation (MOIs) for Low Frequency Periodic Signaling (LFPS) tests using an Agilent 80000B or 90000A Series Infiniium oscilloscope, USB 3.0 test fixture, and USB3 Electrical Compliance Test Application.


Connection for LFPS Tests

When performing the Low Frequency Periodic Signaling (LFPS) tests, the USB3 Electrical Compliance Test Application will prompt you to make proper connections. The connections for the Low Frequency Periodic Signaling (LFPS) tests may look similar to the following diagram. Refer to the Connection tab in USB3 Electrical Compliance Test Application for more details.

Figure 2. Connection for LFPS Tests

Connection for LFPS Tests

You may connect the SMP to SMA cables to any of the oscilloscope channels. You can identify the channels used for each signal in the Configuration tab of the USB3 Electrical Compliance Test Application. (The channels shown in the previous figure are just for example).


LFPS Peak-Peak Differential Output Voltage Test

The purpose of this test is to verify that the peak-to-peak differential output voltage of the LFPS signal is within the conformance limits specified in Table 6-20 of the USB 3.0 Specification, revision 1.0.

Test Definition Notes From the Specification

  • Table 6-20. Normative LFPS Electrical Specification

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests.

  2. The application measures the peak-peak voltage across three consecutive bursts:

    1. The horizontal range is set 1.5 µs, left reference in order to zoom into a single burst.

    2. Measure peak-peak voltage of that burst.

    3. Delay horizontal position by (start of next burst + 100 ns) to zoom into the next burst and repeat the previous two substeps.

    4. Repeat the previous three substeps to measure the 3rd burst.

    5. Take an average of the measured peak-peak voltage across the three bursts.

Pass Condition

The measured peak-peak differential output voltage is within the limits in Table 6-20 of the USB 3.0 Specification 1.0.

Test References

See Table 6-20 Normative LFPS Electrical Specification in the Universal Serial Bus 3.0 Specification, Revision 1.0.


LFPS Period (tPeriod) Test

The purpose of this test is to verify that the period of the LFPS signal is within the conformance limits specified in Table 6-20 of the USB 3.0 Specification, revision 1.0.

Test Definition Notes From the Specification

  • Table 6-20. Normative LFPS Electrical Specification

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests.

  2. The application measures the period across three consecutive bursts:

    1. The horizontal range is set 1.5 µs, left reference in order to zoom into a single burst.

    2. Measure period of that burst.

    3. Delay horizontal position by (start of next burst + 100 ns) to zoom into the next burst and repeat the previous two substeps.

    4. Repeat the previous three substeps to measure the 3rd burst.

    5. Take an average of the measured period across the three bursts.

Pass Condition

The measured period is within the limits in Table 6-20 of the USB 3.0 Specification 1.0.

Test References

See Table 6-20 Normative LFPS Electrical Specification in the Universal Serial Bus 3.0 Specification, Revision 1.0.


LFPS Burst Width (tBurst) Test

The purpose of this test is to verify that the burst width (tBurst) of the Polling.LFPS signal is within the conformance limits specified in Table 6-21 of the USB 3.0 Specification, revision 1.0.

Test Definition Notes From the Specification

  • Table 6-21. LFPS Transmitter Timing

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests.

  2. The application measures the burst width across three consecutive bursts:

    1. The horizontal range is set 2.0 µs, center reference in order to zoom into a complete single burst and some idle time.

    2. Waveform histogram is turned on, with the orientation set to Horizontal.

    3. The histogram markers are set around the upper half of the burst as the following:

      • X1 Position: -100 ns

      • X2 Position: 100 ns

      • Y1 Position: 100 mV

      • Y2 Position: 800 mV

    4. Take the minimum and maximum readings of the histogram. The minimum reading corresponds to the start of the upper half of the burst (TopStartBurst), and the maximum reading corresponds to the end of the upper half of the burst (TopEndBurst).

    5. Move the Y positions of the histogram markers to the lower half of the burst:

      • Y1 Position: -100 mV

      • Y2 Position: -800 mV

    6. Take the minimum and maximum readings of the histogram. The minimum reading corresponds to the start of the lower half of the burst (BottomStartBurst) and the maximum reading corresponds to the end of the lower half of the burst (BottomEndBurst).

    7. The burst width is determined using the following logic:

      • If (TopStartBurst > BottomStartBurst) then StartBurst = BottomStartBurst, else StartBurst = TopStartBurst.

      • If (TopEndBurst > BottomEndBurst) then EndBurst = TopEndBurst, else EndBurst = BottomEndBurst.

      • Burst width = EndBurst – StartBurst.

    8. Repeat the previous three substeps to measure the 3rd burst.

    9. Delay horizontal position by (start of next burst + 800 ns) to zoom into the next burst and repeat the previous substeps.

    10. Repeat the previous substep to measure the 3rd burst.

    11. Take an average of the measured burst width across the three bursts.

Pass Condition

The measured burst width is within the limits in Table 6-21 of the USB 3.0 Specification 1.0.

Test References

See Table 6-21 LFPS Transmitter Timing in the Universal Serial Bus 3.0 Specification, Revision 1.0.


LFPS Repeat Time Interval (tRepeat) Test

The purpose of this test is to verify that the time interval when the next LFPS burst is transmitted (tRepeat) is within the conformance limits specified in Table 6-21 of the USB 3.0 Specification, revision 1.0.

Test Definition Notes From the Specification

  • Table 6-21. LFPS Transmitter Timing

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests.

  2. tRepeat is measured by subtracting the start time of the 2nd burst from the start time of the 1st burst.

  3. An average of tRepeat is measured between the 1st and 2nd burst, and the 2nd and 3rd burst.

Pass Condition

The measured repeat time interval is within the limits in Table 6-21 of the USB 3.0 Specification 1.0.

Test References

See Table 6-21 LFPS Transmitter Timing in the Universal Serial Bus 3.0 Specification, Revision 1.0.


LFPS Rise Time Test

The purpose of this test is to verify that the rise time of the LFPS signal is within the conformance limits specified in Table 6-20 of the USB 3.0 Specification, revision 1.0.

Test Definition Notes From the Specification

  • Table 6-20. Normative LFPS Electrical Specification

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests.

  2. The application measures the period across three consecutive bursts:

    1. The horizontal range is set 1.5 µs, left reference in order to zoom into a single burst.

    2. Turn on rise time measurement.

    3. Turn on histogram to track the rise time measurement.

    4. Measure the rise time by taking the mode of the histogram.

    5. Delay horizontal position by (start of next burst + 100 ns) to zoom into the next burst and repeat the previous substep.

    6. Repeat the previous two substeps to measure the 3rd burst.

    7. Take an average of the measured rise time across the 3 bursts.

Pass Condition

The measured rise time is within the limits in Table 6-20 of the USB 3.0 Specification 1.0.

Test References

See Table 6-20 Normative LFPS Electrical Specification in the Universal Serial Bus 3.0 Specification, Revision 1.0.


LFPS Fall Time Test

The purpose of this test is to verify that the fall time of the LFPS signal is within the conformance limits specified in Table 6-20 of the USB 3.0 Specification, revision 1.0.

Test Definition Notes From the Specification

  • Table 6-20. Normative LFPS Electrical Specification

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests.

  2. The application measures the period across three consecutive bursts:

    1. The horizontal range is set 1.5 µs, left reference in order to zoom into a single burst.

    2. Turn on fall time measurement.

    3. Turn on histogram to track the fall time measurement.

    4. Measure the fall time by taking the mode of the histogram.

    5. Delay horizontal position by (start of next burst + 100 ns) to zoom into the next burst and repeat the previous substep.

    6. Repeat the previous two substeps to measure the 3rd burst.

    7. Take an average of the measured fall time across the 3 bursts.

Pass Condition

The measured fall time is within the limits in Table 6-20 of the USB 3.0 Specification 1.0.

Test References

See Table 6-20 Normative LFPS Electrical Specification in the Universal Serial Bus 3.0 Specification, Revision 1.0.


LFPS Duty Cycle Test

The purpose of this test is to verify that the duty cycle of the LFPS signal is within the conformance limits specified in Table 6-20 of the USB 3.0 Specification, revision 1.0.

Test Definition Notes From the Specification

  • Table 6-20. Normative LFPS Electrical Specification

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests.

  2. The application measures the duty cycle across three consecutive bursts:

    1. The horizontal range is set 1.5 µs, left reference in order to zoom into a single burst.

    2. Measure duty cycle of that burst.

    3. Delay horizontal position by (start of next burst + 100 ns) to zoom into the next burst and repeat the previous two substeps.

    4. Repeat the previous three substeps to measure the 3rd burst.

    5. Take an average of the measured duty cycle across the 3 bursts.

Pass Condition

The measured duty cycle is within the limits in Table 6-20 of the USB 3.0 Specification 1.0.

Test References

See Table 6-20 Normative LFPS Electrical Specification in the Universal Serial Bus 3.0 Specification, Revision 1.0.


LFPS AC Common Mode Voltage

The purpose of this test is to verify that maximum voltage from Txp + Txn for both time and amplitude is within the limits as specified in Table 6-11 of the USB 3.0 Specification, revision 1.0.

Test Definition Notes From the Specification

  • Table 6-11. Transmitter Informative Electrical Parameters at Silicon Pads

Measurement Algorithm

  1. The measurement is similar to LFPS Peak-Peak Differential Output Voltage. Please turn on the common mode channel to perform this measurement.

Pass Condition

The measured peak-peak common mode output voltage is within the limits as specified in Table 6-11 of the USB 3.0 Specification 1.0.

Test References

See Table 6-11 Transmitter Informative Electrical Parameters at Silicon Pads in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Transmitter SSC Tests

  • Connection for Transmitter SSC Tests

  • Unit Interval (with SSC) Test

  • SSC Deviation Test

  • SSC Modulation Rate Test

  • SSC Slew Rate Test

This section provides the Methods of Implementation (MOIs) for Transmitter SSC tests using an Agilent 80000B or 90000A Series Infiniium oscilloscope, USB 3.0 test fixture, and USB3 Electrical Compliance Test Application.


Connection for Transmitter SSC Tests

When performing the Transmitter SSC tests, the USB3 Electrical Compliance Test Application will prompt you to make proper connections. The connections for the Transmitter SSC tests may look similar to the following diagram. Refer to the Connection tab in USB3 Electrical Compliance Test Application for more details.

Figure 3. Connection for Transmitter SSC Tests

Connection for Transmitter SSC Tests

You may connect the SMP to SMA cables to any of the oscilloscope channels. You can identify the channels used for each signal in the Configuration tab of the USB3 Electrical Compliance Test Application. (The channels shown in the previous figure are just for example).


Unit Interval (with SSC) Test

The purpose of this test is to verify that the unit interval measured at the TP0 of the transmitter is within the conformance limits specified in Table 6-10 (without SSC) and Table 6-9 (with SSC) of the USB 3.0 specification.

Test Definition Notes From the Specification

  • Table 6-10. Transmitter Normative Electrical Parameters

  • Table 6.9. SSC Parameters

Table 6-9 translates to:

  • For Signal with SSC:

    • Max Unit Interval = 200.0 ps + 5300 ppm = 201.06 ps

    • Min Unit Interval = 200 ps – 300 ppm = 199.94 ps

  • For Signal without SSC:

    • Max Unit Interval = 200.0 ps + 300 ppm = 200.06 ps

    • Min Unit Interval = 200.0 ps – 300 ppm = 199.94 ps

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. If the Test Pattern selection in the Configuration tab is set to "Both", the test is run using the CP1 test pattern, which you are prompted to transmit. See Transmitting the CP1 Test Pattern.

  3. Save the oscilloscope settings prior to turning on the measurement trending. The saved settings will be reloaded at the end of this test so that the next test does not need to perform the steps described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests again.

  4. Split the oscilloscope's display into 2 graticules: the top displays the source waveform and the bottom displays the unit interval trend waveform.

  5. Turn on the unit interval measurement.

  6. Enable the jitter mode to view measurement trends. Enable the measurement trend to trend the unit interval measurement with 3499 smoothing points.

  7. Assign FUNCTION 4 to magnify the measurement trend at a factor of 1. Autoscale FUNCTION 4 so that the full signal is displayed.

  8. Measure the average of FUNCTION 4 to obtain the average unit interval.

  9. Measure the max of FUNCTION 4 to get the maximum unit interval.

  10. Measure the min of FUNCTION 4 to get the minimum unit interval.

  11. Compare the test result with the compliance test limit.

  12. Reload the saved oscilloscope settings before proceeding to the next test.

Pass Condition

The measured average unit interval at TP0 is within the limits specified in Table 6-10 (without SSC) and Table 6-9 (with SSC) of the USB 3.0 Specification.

Test References

See Table 6-10 Transmitter Normative Electrical Parameters and Table 6-9 SSC Parameters in the Universal Serial Bus 3.0 Specification, Revision 1.0.


SSC Deviation Test

The purpose of this test is to verify that the unit interval measured at the TP0 of the transmitter is within the conformance limits specified in Table 6-10 of the USB 3.0 Specification, revision 1.0.

Test Definition Notes From the Specification

  • Table 6.9. SSC Parameters

Table 6-9 translates to:

  • For Signal with SSC:

    • Max SSC Deviation = 5000 ppm + 300 ppm = 5300 ppm

    • Min SSC Deviation = 4000 ppm – 300 ppm = 3700 ppm

Measurement Algorithm

  1. The Unit Interval Test will first be executed prior to executing this test. The Unit Interval test will already measure the min, max unit intervals.

  2. The maximum unit interval measured is compared against the SSC deviation limits.

  3. Saved oscilloscope settings are reloaded before proceeding to the next test.

Pass Condition

The measured average unit interval at TP0 is within the limits in Table 6-10 of the USB 3.0 Specification 1.0.

Test References

See Table 6-9 SSC Parameters in the Universal Serial Bus 3.0 Specification, Revision 1.0.


SSC Modulation Rate Test

The purpose of this test is to verify that the measured SSC modulation rate is within the conformance limits specified in Table 6-9 of the USB 3.0 Specification.

Test Definition Notes From the Specification

  • Table 6.9. SSC Parameters

Measurement Algorithm

  1. The Unit Interval Test is first executed prior to executing this test. The Unit Interval test measures the min and max unit intervals.

  2. The modulation rate is measured by measuring the time interval, t, between two rising edges or two falling edges. Modulation rate, f = 1/f.

  3. Saved oscilloscope settings are reloaded before proceeding to the next test.

Pass Condition

The measured modulation rate must be within the test limits in Table 6-9 of the USB 3.0 specification.

Test References

See Table 6-9 SSC Parameters in the Universal Serial Bus 3.0 Specification, Revision 1.0.


SSC Slew Rate Test

The purpose of this test is to ensure that the combination of SSC and all other jitter sources within the bandwidth of the CDR does not exceed the allowed slew rate. The peak of the period jitter must not exceed TCDR_SLEW_MAX listed in Table 6-10 of the USB 3.0 specification.

Test Definition Notes From the Specification

  • Table 6-10. Transmitter Normative Electrical Parameters

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. Save the oscilloscope settings prior to turning on the measurement trending. The saved settings will be reloaded at the end of this test so that the next test does not need to perform the steps described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests again.

  3. Split the oscilloscope's display into 2 graticules: the top displays the source waveform and the bottom displays the unit interval trend waveform.

  4. Turn on the unit interval measurement.

  5. Enable the jitter mode to view the measurement trends. Enable the measurement trend to trend the unit interval measurement with 3499 smoothing points.

  6. Assign FUNCTION 4 to magnify the measurement trend at a factor of 1. Autoscale FUNCTION 4 so that the full signal is displayed.

  7. Read the measurement trend waveform into the memory.

  8. The saved waveform is analyzed by using MATLAB. For the algorithm to determine the slew rate, refer to white paper USB 3.0 CDR Model White Paper, revision 0.5 available at www.usb.org.

  9. Compare the test result with the compliance test limit.

  10. Reload the saved oscilloscope settings before proceeding to the next test.

Pass Condition

The maximum slew rate must not exceed the slew rate limit in Table 6-10 of the USB 3.0 Specification.

Test References

See Table 6-10 Transmitter Normative Electrical Parameters in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Transmitter Eye Near End (TP0) Tests

  • Connection for Near End (TP0) Transmitter Eye Tests

  • Near End RMS Random Jitter Test

  • Near End Maximum Deterministic Jitter Test

  • Near End Total Jitter At BER-12 Test

  • Near End Template Test

  • Near End Peak-To-Peak Differential Output Voltage Test

This section provides the Methods of Implementation (MOIs) for Near End (TP0) Transmitter Eye tests using an Agilent 80000B or 90000A Series Infiniium oscilloscope, USB 3.0 test fixture, and USB3 Electrical Compliance Test Application.


Connection for Near End (TP0) Transmitter Eye Tests

When performing the Near End (TP0) Transmitter Eye tests, the USB3 Electrical Compliance Test Application will prompt you to make proper connections. The connections for the Near End (TP0) Transmitter Eye tests may look similar to the following diagram. Refer to the Connection tab in USB3 Electrical Compliance Test Application for more details.

Figure 4. Connection for Near End (TP0) Transmitter Eye Tests

Connection for Near End (TP0) Transmitter Eye Tests

You may connect the SMP to SMA cables to any of the oscilloscope channels. You can identify the channels used for each signal in the Configuration tab of the USB3 Electrical Compliance Test Application. (The channels shown in the previous figure are just for example).


Near End RMS Random Jitter Test

The purpose of this test is to verify that the measured RMS random jitter, Rj measured at TP0 is within the limits as specified in Table 6-11 of the USB 3.0 specification.

Rj Total is computed as the Root Sum Square of the individual Rj components.

Table 6-11 specifies that Transmitter Eye is 0.625 UI which is the total jitter.

Table 6-11 also specifies that deterministic jitter is 0.205 UI.

Therefore, the near end jitter limits uses the following calculation:

  • Tj = 1 UI - 0.625 UI = 0.375 UI

  • Dj = 0.205 UI

  • Rj = (Tj - Dj)/14.068 = (0.375 - 0.205)/14.068 = 0.013 UI

Test Definition Notes From the Specification

  • Table 6-11. Transmitter Informative Electrical Parameters at Silicon Pads

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. If the Test Pattern selection in the Configuration tab is set to "Both", the test is run using the CP1 test pattern, which you are prompted to transmit. See Transmitting the CP1 Test Pattern.

  3. Using the USB-IF SigTest:

    • Waveform is acquired and analyzed using the USB-IF SigTest tool.

  4. Using the Agilent SDA (in this case, the EZJIT+):

    1. Enable Jitter mode on EZJIT+.

    2. Perform RjDj measurements by using the following setup:

      • BER: E-12

      • Pattern length: arbitrary

      • Leading coefficient: -2

      • Lagging coefficient: 5

      • Rj Bandwidth: Narrow

    3. Setup clock recovery:

      2nd Order PLL, data rate of 5 Gb/s, loop bandwidth of 4.9 MHz, damping factor of 0.707

    4. Get Rj reading.

  5. Compare the test result with compliance test limit.

Pass Condition

The measured RMS random jitter, Rj measured at TP0 is within the limit as specified in Table 6-11 of the USB 3.0 specification.

Test References

See Table 6-11 Transmitter Informative Electrical Parameters at Silicon Pads in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Near End Maximum Deterministic Jitter Test

The purpose of this test is to verify that the measured deterministic jitter, Dj measured at TP0 is within the limits as specified in Table 6-11 of the USB 3.0 specification.

Dj is computed using the Dual Dirac method.

Table 6-11 specifies that deterministic jitter is 0.205 UI.

Test Definition Notes From the Specification

  • Table 6-11. Transmitter Informative Electrical Parameters at Silicon Pads

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. If the Test Pattern selection in the Configuration tab is set to "Both", the test is run using the CP0 test pattern, which you are prompted to transmit. See Transmitting the CP0 Test Pattern.

  3. Using the USB-IF SigTest:

    • Waveform is acquired and analyzed using the USB-IF SigTest tool.

  4. Using the Agilent SDA (in this case, the EZJIT+):

    1. Enable Jitter mode on EZJIT+.

    2. Perform RjDj measurements by using the following setup:

      • BER: E-12

      • Pattern length: arbitrary

      • Leading coefficient: -2

      • Lagging coefficient: 5

      • Rj Bandwidth: Narrow

    3. Setup clock recovery:

      2nd Order PLL, data rate of 5 Gb/s, loop bandwidth of 4.9 MHz, damping factor of 0.707

    4. Get Rj reading.

  5. Compare the test result with compliance test limit.

Pass Condition

The measured maximum deterministic jitter, Dj measured at TP0 is within the limit as specified in Table 6-11 of the USB 3.0 specification.

Test References

See Table 6-11 Transmitter Informative Electrical Parameters at Silicon Pads in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Near End Total Jitter At BER-12 Test

The purpose of this test is to verify that the measured total jitter, Tj measured at TP0 is within the limits as specified in Table 6-11 of the USB 3.0 specification.

Tj at a 10-12 BER is calculated as 14.068 x Rj + Dj.

Table 6-11 specifies that Transmitter Eye is 0.625 UI. Total jitter is 1UI - Transmitter eye = 1 - 0.625 = 0.375 UI.

Test Definition Notes From the Specification

  • Table 6-11. Transmitter Informative Electrical Parameters at Silicon Pads

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. Using the USB-IF SigTest:

    • Waveform is acquired and analyzed using the USB-IF SigTest tool.

  3. Using the Agilent SDA (in this case, the EZJIT+):

    1. Enable Jitter mode on EZJIT+.

    2. Perform RjDj measurements by using the following setup:

      • BER: E-12

      • Pattern length: arbitrary

      • Leading coefficient: -2

      • Lagging coefficient: 5

      • Rj Bandwidth: Narrow

    3. Setup clock recovery:

      2nd Order PLL, data rate of 5 Gb/s, loop bandwidth of 4.9 MHz, damping factor of 0.707

    4. Get Rj and Dj reading.

    5. Calculate total jitter Tj using formula:

      Tj = 14.068 * Rj + Dj

  4. Compare the test result with compliance test limit.

Pass Condition

The measured total jitter, Tj measured at TP0 is within the limit as specified in Table 6-11 of the USB 3.0 specification.

Test References

See Table 6-11 Transmitter Informative Electrical Parameters at Silicon Pads in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Near End Template Test

The purpose of this test is to perform an eye mask test at TP0 by using the specifications specified in Section 6.7.1, Tables 6-10 and 6-11 of the USB 3.0 specification.

Table 6-10 specifies that Differential p-p Tx Voltage Swing should be 0.8-1.2V.

Table 6-11 specifies that Transmitter Eye is 0.625 UI, which is the total jitter.

Table 6-11 also specifies that deterministic jitter is 0.205 UI.

Therefore, the near end transmitter eye test uses the following limits:

  • Upper/Lower rail = 1.2 Vmax, that is, ±0.6 V

  • Diamond upper/lower = 0.8 Vmin, that is, ±0.4 V

  • Diamond width

    = Transmitter eye specified in Table 6-11

    = 0.625 UI/2 = ±0.3125 UI

Test Definition Notes From the Specification

  • Table 6-10. Transmitter Normative Electrical Parameters

  • Table 6-11. Transmitter Informative Electrical Parameters at Silicon Pads

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. If the Test Pattern selection in the Configuration tab is set to "Both", the test is run using the CP0 test pattern, which you are prompted to transmit. See Transmitting the CP0 Test Pattern.

  3. Using the USB-IF SigTest:

    • Waveform is acquired and analyzed using the USB-IF SigTest tool.

  4. Using the Agilent SDA:

    1. Turn on the color grade display.

    2. Enable the mask test and load the mask. The mask template can be found at:

      C:\Program Files\Agilent\Infiniium\Apps\USB3Test\app\masks\USBMask.msk

    3. Set up the clock recovery by using 2nd order PLL with data rate of 5 Gb/s, loop bandwidth of 4.9 MHz and damping factor of 0.707.

    4. Enable Real Time Eye to fold the waveform.

  5. Compare the test result with the compliance test limit.

Pass Condition

The test passes if the waveform does not violate the mask.

Test References

See Table 6-10 Transmitter Normative Electrical Parameters and Table 6-11 Transmitter Informative Electrical Parameters at Silicon Pads in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Near End Peak-To-Peak Differential Output Voltage Test

The purpose of this test is to verify that the peak-to-peak differential output voltage, VTX-DIFF-PP measured at TP0 is within the limits as specified in Table 6-10 of the USB 3.0 specification.

Test Definition Notes From the Specification

  • Table 6-10. Transmitter Normative Electrical Parameters

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. If the Test Pattern selection in the Configuration tab is set to "Both", the test is run using the CP0 test pattern, which you are prompted to transmit. See Transmitting the CP0 Test Pattern.

  3. Using the USB-IF SigTest:

    • Waveform is acquired and analyzed using the USB-IF SigTest tool.

  4. Using the Agilent SDA:

    1. Turn on the color grade display.

    2. Set up the clock recovery by using 2nd order PLL with data rate of 5 Gb/s, loop bandwidth of 4.9 MHz and damping factor of 0.707.

    3. Enable the Real Time Eye to fold the waveform.

    4. Measure the min and max value of the waveform.

    5. The peak differential voltage is:

      Peak diff voltage = Max voltage - Min voltage

  5. Compare the test result with the compliance test limit.

Pass Condition

The measured peak-to-peak differential output voltage is within the limit as specified in Table 6-10 of the USB 3.0 specification.

Test References

See Table 6-10 Transmitter Normative Electrical Parameters in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Transmitter Eye Far End (TP1) Tests

  • Connection for Far End (TP1) Transmitter Eye Tests

  • Far End RMS Random Jitter Test

  • Far End Maximum Deterministic Jitter Test

  • Far End Total Jitter At BER-12 Test

  • Far End Template Test

  • Far End Peak-To-Peak Differential Output Voltage Test

This section provides the Methods of Implementation (MOIs) for Far End (TP1) Transmitter Eye tests using an Agilent 80000B or 90000A Series Infiniium oscilloscope, USB 3.0 test fixture and USB3 Electrical Compliance Test Application.


Connection for Far End (TP1) Transmitter Eye Tests

When performing the Far End (TP1) Transmitter Eye tests, the USB3 Electrical Compliance Test Application will prompt you to make proper connections. The connections for the Far End (TP1) Transmitter Eye tests may look similar to the following diagram. Refer to the Connection tab in USB3 Electrical Compliance Test Application for more details.

Figure 5. Connection for Near End (TP0) Transmitter Eye Tests

Connection for Near End (TP0) Transmitter Eye Tests

Figure 6. Connection for Near End (TP0) Transmitter Eye Tests, No Embed/De-embed

Connection for Near End (TP0) Transmitter Eye Tests, No Embed/De-embed

You may connect the SMP to SMA cables to any of the oscilloscope channels. You can identify the channels used for each signal in the Configuration tab of the USB3 Electrical Compliance Test Application. (The channels shown in the previous figure are just for example).


Far End RMS Random Jitter Test

The purpose of this test is to verify that the measured RMS random jitter, Rj measured at TP1 is within the limits as specified in Table 6-12 of the USB 3.0 specification.

Rj Total is computed as the Root Sum Square of the individual Rj components.

Test Definition Notes From the Specification

  • Table 6-12. Normative Transmitter Eye Mask at Test Point TP1

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. If the Test Pattern selection in the Configuration tab is set to "Both", the test is run using the CP1 test pattern, which you are prompted to transmit. See Transmitting the CP1 Test Pattern.

  3. Using the USB-IF SigTest:

    • Waveform is acquired and analyzed using the USB-IF SigTest tool.

  4. Using the Agilent SDA (in this case, the EZJIT+):

    1. Enable Jitter mode on EZJIT+.

    2. Perform RjDj measurements by using the following setup:

      • BER: E-12

      • Pattern length: arbitrary

      • Leading coefficient: -2

      • Lagging coefficient: 5

      • Rj Bandwidth: Narrow

    3. Set up clock recovery:

      2nd Order PLL, data rate of 5 Gb/s, loop bandwidth of 4.9 MHz, damping factor of 0.707.

    4. Get Rj reading.

  5. Compare the test result with the compliance test limit.

Pass Condition

The measured RMS random jitter, Rj measured at TP1 is within the limit as specified in Table 6-12 of the USB 3.0 specification.

Test References

See Table 6-12 Normative Transmitter Eye Mask at Test Point TP1 in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Far End Maximum Deterministic Jitter Test

The purpose of this test is to verify that the measured deterministic jitter, Dj measured at TP1 is within the limits as specified in Table 6-12 of the USB 3.0 specification.

Dj is computed by using the Dual Dirac method.

Test Definition Notes From the Specification

  • Table 6-12. Normative Transmitter Eye Mask at Test Point TP1

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. If the Test Pattern selection in the Configuration tab is set to "Both", the test is run using the CP0 test pattern, which you are prompted to transmit. See Transmitting the CP0 Test Pattern.

  3. Using the USB-IF SigTest:

    • Waveform is acquired and analyzed using the USB-IF SigTest tool.

  4. Using the Agilent SDA (in this case, the EZJIT+):

    1. Enable Jitter mode on EZJIT+.

    2. Perform RjDj measurements by using the following setup:

      • BER: E-12

      • Pattern length: arbitrary

      • Leading coefficient: -2

      • Lagging coefficient: 5

      • Rj Bandwidth: Narrow

    3. Set up clock recovery:

      2nd Order PLL, data rate of 5 Gb/s, loop bandwidth of 4.9 MHz, damping factor of 0.707.

    4. Get Dj reading.

  5. Compare the test result with the compliance test limit.

Pass Condition

The measured maximum deterministic jitter, Dj measured at TP1 is within the limit as specified in Table 6-12 of the USB 3.0 specification.

Test References

See Table 6-12 Normative Transmitter Eye Mask at Test Point TP1 in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Far End Total Jitter At BER-12 Test

The purpose of this test is to verify that the measured total jitter, Tj measured at TP1 is within the limits as specified in Table 6-12 of the USB 3.0 specification.

Tj at a 10-12 BER is calculated as 14.068 x Rj + Dj.

Test Definition Notes From the Specification

  • Table 6-12. Normative Transmitter Eye Mask at Test Point TP1

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. Using the USB-IF SigTest:

    • Waveform is acquired and analyzed using the USB-IF SigTest tool.

  3. Using the Agilent SDA (in this case, the EZJIT+):

    1. Enable Jitter mode on EZJIT+.

    2. Perform RjDj measurements by using the following setup:

      • BER: E-12

      • Pattern length: arbitrary

      • Leading coefficient: -2

      • Lagging coefficient: 5

      • Rj Bandwidth: Narrow

    3. Set up clock recovery:

      2nd Order PLL, data rate of 5 Gb/s, loop bandwidth of 4.9 MHz, damping factor of 0.707.

    4. Get Rj and Dj reading.

    5. Calculate total jitter Tj using formula:

      Tj = 14.068 * Rj + Dj

  4. Compare the test result with the compliance test limit.

Pass Condition

The measured total jitter, Tj measured at TP1 is within the limit as specified in Table 6-12 of the USB 3.0 specification.

Test References

See Table 6-12 Normative Transmitter Eye Mask at Test Point TP1 in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Far End Template Test

The purpose of this test is to perform an eye mask test at TP1 by using the eye mask template as specified in Section 6.7.3, Tables 6-12 of the USB 3.0 specification.

Table 6-12 specifies that minimal eye height should be 100 mV.

Table 6-12 also specifies that total jitter is 0.66 UI.

Therefore, the Near End transmitter eye test uses the following limits:

  • Upper/Lower rail = 1.2 V max, that is, ±0.6 V.

  • Diamond upper/lower = 100 mV min, that is, ±0.05 V.

  • Diamond width

    = 1 UI - Total jitter

    = 1 UI - 0.66 UI = 0.34 UI = 0.34 UI/2 = ±0.17 UI

Test Definition Notes From the Specification

  • Table 6-12. Normative Transmitter Eye Mask at Test Point TP1

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. If the Test Pattern selection in the Configuration tab is set to "Both", the test is run using the CP0 test pattern, which you are prompted to transmit. See Transmitting the CP0 Test Pattern.

  3. Using the USB-IF SigTest:

    • Waveform is acquired and analyzed using the USB-IF SigTest tool.

  4. Using the Agilent SDA:

    1. Turn on the color grade display.

    2. Enable the mask test and load the mask. The mask template can be found at:

      C:\Program Files\Agilent\Infiniium\Apps\USB3Test\app\masks\USBMask.msk

    3. Set up the clock recovery by using 2nd order PLL with data rate of 5 Gb/s, loop bandwidth of 4.9 MHz and damping factor of 0.707.

    4. Enable Real Time Eye to fold the waveform.

  5. Compare the test result with the compliance test limit.

Pass Condition

The test passes if the waveform does not violate the mask.

Test References

See Table 6-12 Normative Transmitter Eye Mask at Test Point TP1 in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Far End Peak-To-Peak Differential Output Voltage Test

The purpose of this test is to verify that the peak differential output voltage measured at TP1 meets the minimum eye height as specified in Table 6-12 of the USB 3.0 specification.

Test Definition Notes From the Specification

  • Table 6-12. Normative Transmitter Eye Mask at Test Point TP1

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests.

  2. If the Test Pattern selection in the Configuration tab is set to "Both", the test is run using the CP0 test pattern, which you are prompted to transmit. See Transmitting the CP0 Test Pattern.

  3. Using the USB-IF SigTest:

    • Waveform is acquired and analyzed using the USB-IF SigTest tool.

  4. Using the Agilent SDA:

    1. Turn on the color grade display.

    2. Set up the clock recovery by using 2nd order PLL with data rate of 5 Gb/s, loop bandwidth of 4.9 MHz and damping factor of 0.707.

    3. Enable Real Time Eye to fold the waveform.

    4. Measure the min and max value of the waveform.

    5. The peak differential voltage is:

      Peak diff voltage = Max voltage - Min voltage

  5. Compare the test result with the compliance test limit.

Pass Condition

The measured peak differential output voltage measured at TP1 meets the minimum eye height as specified in Table 6-12 of the USB 3.0 specification.

Test References

See Table 6-12 Normative Transmitter Eye Mask at Test Point TP1 in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Transmitter Voltage Level Tests (Informative Only)

  • Connection for Transmitter Voltage Level Tests

  • Peak-peak Differential Output Voltage Using CP8 Test

  • De-emphasis Ratio Using CP7 Test

  • Tx AC Common Mode Voltage Active Test

This section provides the Methods of Implementation (MOIs) for Transmitter Voltage Level tests using an Agilent 80000B or 90000A Series Infiniium oscilloscope, USB 3.0 test fixture and USB3 Electrical Compliance Test Application.


Connection for Transmitter Voltage Level Tests

When performing the Near End (TP0) Transmitter Eye tests, the USB3 Electrical Compliance Test Application will prompt you to make proper connections. The connections for the Near End (TP0) Transmitter Eye tests may look similar to the following diagram. Refer to the Connection tab in USB3 Electrical Compliance Test Application for more details.

Figure 7. Connection for Transmitter Voltage Level Tests

Connection for Transmitter Voltage Level Tests

You may connect the SMP to SMA cables to any of the oscilloscope channels. You can identify the channels used for each signal in the Configuration tab of the USB3 Electrical Compliance Test Application. (The channels shown in the previous figure are just for example).


Peak-peak Differential Output Voltage Using CP8 Test

The purpose of this test is to measure the peak-peak differential voltage swing using compliance pattern CP8. This test is informative only, and is not part of the compliance test.

Test Definition Notes From the Specification

  • Table 6-10. Transmitter Normative Electrical Parameters

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests.

  2. You will be prompted to reconfigure the DUT to transmit CP8 pattern.

  3. The application measures the peak-peak voltages:

    1. Waveform histogram is turned on, with the orientation set to Vertical.

    2. The histogram markers are set around the test packet as the following:

      • X1 Position: -1 µs

      • X2 Position: 1 µs

      • Y1 Position: 0 V

      • Y2 Position: -2 V

    3. Take the minimum and maximum readings of the histogram, the minimum reading corresponds to the minimum voltage and the maximum reading corresponds to the maximum voltage. The peak-peak voltage reading is taken as the difference between the maximum and minimum reading of the histogram.

      Take the mode readings of the histogram, the mode reading was corresponding to the most common value in the histogram. This reading is the minimum reading for the test packet.

    4. Set the Y1 and Y2 positions as follows:

      • X1 Position: -1 µs

      • X2 Position: 1 µs

      • Y1 Position: 0 V

      • Y2 Position: 2 V

    5. Take the mode readings of the histogram, the mode reading was corresponding to the most common value in the histogram. This reading is the maximum reading for the test packet.

    6. The difference between the max and min readings gives the peak-peak voltage.

Test References

See Table 6-10 Transmitter Normative Electrical Parameters in the Universal Serial Bus 3.0 Specification, Revision 1.0.


De-emphasis Ratio Using CP7 Test

The purpose of this test is to measure the transmitter de-emphasis ratio using compliance pattern CP7. This test is informative only, and is not part of the compliance test.

Test Definition Notes From the Specification

  • Table 6-10. Transmitter Normative Electrical Parameters

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests.

  2. You will be prompted to reconfigure the DUT to transmit CP7 pattern.

  3. The application measures the peak-peak voltages:

    1. Waveform histogram is turned on, with the orientation set to Vertical.

    2. The histogram markers are set around the test packet as the following:

      • X1 Position: -1 µs

      • X2 Position: 1 µs

      • Y1 Position: 0 V

      • Y2 Position: -2 V

    3. Take the mode reading of the histogram. This corresponds to the minimum voltage of the pulse.

    4. Move the Y markers to the histogram:

      • X1 Position: -1 µs

      • X2 Position: 1 µs

      • Y1 Position: 0 V

      • Y2 Position: 2 V

    5. Take the maximum reading of the histogram. This corresponds to the maximum voltage of the pulse.

    6. The difference between the max and min readings gives the peak-peak voltage.

  4. The de-emphasis ratio is calculated as:

    • 20 log (peak-peak voltage/amplitude of de-emphasized pulse).

Test References

See Table 6-10 Transmitter Normative Electrical Parameters in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Tx AC Common Mode Voltage Active Test

The purpose of this test is to verify that the maximum mismatch from Txp + Txn for both time and amplitude is within the limits as specified in Table 6-11 of the USB 3.0 specification.

[Note]

This test is only available on 90000A Series oscilloscopes.

Test Definition Notes From the Specification

  • Table 6-11. Transmitter Informative Electrical Parameters at Silicon Pads

Measurement Algorithm

  1. The oscilloscope's horizontal and vertical scales are adjusted as described in Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests.

  2. You will be prompted to reconfigure the DUT to transmit CP7 pattern.

  3. Because the hardware differential channel is turned on for a single-ended type connection, the common mode voltage can be measured by measuring the peak-peak voltage of the common mode channel.

    The application will display an error if the measurement is performed on a differential type connection.

Pass Condition

The measured common mode voltage is within the limits in Table 6-11 of the USB 3.0 Specification 1.0.

Test References

See Table 6-11 Transmitter Informative Electrical Parameters at Silicon Pads in the Universal Serial Bus 3.0 Specification, Revision 1.0.


Vertical and Horizontal Scale Adjustment — Transmitter SSC, Near End, and Far End Tests

The USB3 Electrical Compliance Test application makes these vertical and horizontal scale adjustments at the beginning of the Transmitter SSC, Near End (TP0), and Far End (TP1) tests.

  1. Preset the oscilloscope.

  2. Find the optimum vertical scale for each channel (2 channels for single-ended connection):

    1. Find range = Vmax - Vmin.

    2. Find offset = (Vmax + Vmin)/2.

    3. Set the new range and offset.

    4. Repeat the previous steps three times to obtain an optimum scale.

  3. Form a differential signal for single-ended connection by subtracting D+ channel from D- channel.

    Assign differential channel to FUNCTION 1.

    • For 80000B Series oscilloscopes, assign differential channel to FUNCTION 1. For differential connection just magnify factor 1:1 on FUNCTION 1.

    • For 90000A series oscilloscopes, turn on the hardware differential channel (Channel 1-3).

  4. If Signal Check is enabled in the configuration tab, perform signal pattern validity check:

    1. Measure min and max pulse width of the differential signal.

    2. There are 2 types of test pattern; CP1 and CP0.

    3. CP1 test pattern = D10.2 which is 010101 0101.

    4. CP0 test pattern = D0.0 random.

    5. To verify CP1 test pattern:

      • Check that nominal period is 400 ps.

    6. To verify CP0 test pattern:

      • Check that nominal maximum period is 5 ns.

      • Check that nominal minimum period is 400 ps.

  5. Set the memory depth and sample rate:

    1. Set sample rate to 40 Gsa/s.

    2. Calculate the number of points per UI = Sample rate/5 Gb/s:

      • Number of points = 40 G/5 G = 8 points per UI.

    3. If de-embed or embed option is enabled, limit the memory depth to 2M.

    4. If de-embed or embed option is disabled, calculate the memory depth as:

      • Memory depth = Number of points per UI X Number of UIs to test.

    5. Set the calculated memory depth.

    6. If the memory depth is insufficient, calculate the number of acquisitions required to achieve the essential number of UIs to test:

      • Number of acquisitions = (Number of UIs to test) / (Actual mem depth / Number of point per UI).

  6. Set time range as (1/Sample rate) X Memory depth.

  7. Set flag to indicate that the oscilloscope has been set up. The entire steps above should only be called once for each test run.

  8. If the de-embed option is enabled, perform the signal de-embed as follows:

    For 80000B Series oscilloscopes:

    1. Enable UDF function - "Deconvolve".

    2. Assign UDF to FUNCTION 3 by using source from FUNCTION 1 (differential source).

    3. Point S-parameter file to the user-defined file location.

    4. Turn off FUNCTION 1 and turn on FUNCTION 3.

    For 90000A Series oscilloscopes:

    1. Enable InfiniiSim function on the channel under test.

    2. Select 2 port or 4 port base on the extension of the transfer function file to load. If the transfer function file has an extension of *.tf2, then select a 2-port connection, if the file extension is 4, select a 4-port connection.

    3. Set the bandwidth to 12 GHz.

    4. Set the maximum time span to 15 ns. The minimum frequency resolution will automatically be set to 66.67 MHz.

    5. Point the transfer function file to the file location entered by user.

  9. If the embed option is enabled, perform the signal embed:

    For 80000B Series oscilloscopes:

    1. Enable UDF function - "Convolve".

    2. Assign UDF to FUNCTION 3 by using source from FUNCTION 1 (differential source).

    3. Point S-parameter file to the user-defined file location.

    4. Turn off FUNCTION 1 and turn on FUNCTION 3.

    For 90000A Series oscilloscopes:

    1. Enable InfiniiSim function on the channel under test.

    2. Select 2 port or 4 port base on the extension of the transfer function file to load. If the transfer function file has an extension of *.tf2, then select a 2-port connection, if the file extension is 4, select a 4-port connection.

    3. Set the bandwidth to 12 GHz.

    4. Set the maximum time span to 15 ns. The minimum frequency resolution will automatically be set to 66.67 MHz.

    5. Point the transfer function file to the file location entered by user.

  10. For tests that requires the CTLE option enabled:

    For 80000B Series oscilloscopes:

    1. Enable UDF function - "Convolve".

    2. Assign UDF to FUNCTION 4 using source from FUNCTION 1 (differential source) or FUNCTION3 (if embed/de-embed is turned on).

    3. Load S-parameter file "USB CTLE rev2.txt" location in "c:\scope\MATLAB\" folder.

    4. Turn off FUNCTION 1 and/or FUNCTION3 and turn on FUNCTION 4.

    For 90000A Series oscilloscopes:

    1. Enable the Serial Data Equalizer CTLE function.

    2. Assign the channel under test as the source for the CTLE function. For single-ended connection the differential channel (channel 1-3 or channel 2-4 is used).

    3. Set the DC Gain to 0.667.

    4. Set the zero frequency to 650 MHz.

    5. Set the pole 1 frequency to 1.95 GHz.

    6. Set the pole 2 frequency to 5 GHz.


Vertical and Horizontal Scale Adjustment — LFPS and Transmitter Voltage Tests

The USB3 Electrical Compliance Test application makes these vertical and horizontal scale adjustments at the beginning of the LFPS and Transmitter Voltage tests.

  1. Preset the oscilloscope.

  2. Prompt the user to disconnect the USB 3.0 DUT from the USB 3.0 test fixture.

  3. Set vertical scale for each channel:

    • For single ended connection set each channel vertical range to 0.8 V, offset to 0.0 V.

    • For differential connection set the channel vertical range to 1.6 V, offset 0.0 V.

  4. Form differential signal for single-ended connection by subtracting D+ channel from D- channel.

    • For 80000B Series oscilloscopes, assign differential channel to FUNCTION 1. For differential connection just magnify factor 1:1 on FUNCTION 1.

    • For 90000A Series oscilloscopes, turn on the hardware differential channel (Channel 1-3).

  5. Set horizontal scale to 5 µs, center reference, delayed 20.0 µs.

  6. Set memory depth and sample rate:

    1. Set sample rate to 40 Gsa/s.

    2. Set memory depth to 2M points

  7. Set trigger to use Pattern/State Triggering.

  8. Set trigger threshold level to use user defined threshold.

  9. Set Pattern/State Triggering to use Range with timing range from 3 µs to 15 µs. This should capture the inter-packet gap between each LFPS burst.

  10. Turn off all channels except the channel under test.

  11. Arm the scope to capture a single acquisition.

  12. Prompt the user to connect the USB 3.0 DUT to the USB 3.0 test fixture or reset the USB 3.0 DUT.

  13. Check that the oscilloscope triggered successfully, else abort test.

  14. Proceed to search for the start time of the first three bursts by turning on the horizontal histogram and zooming into each burst while shifting or delaying the window until a valid time stamp is found for each burst.


Transmitting the CP0 Test Pattern

The pop-up dialog to change the test pattern looks like the example below. You may connect the oscilloscope front panel Aux Out to the DUT SSRX+ or to a Ping LFPS signal source. Click Toggle to toggle the test pattern or use the Ping LFPS source connected to the DUT receiver to change to the next test pattern. The Aux Out of the oscilloscope outputs a negative pulse whose width is between 300-400 ns which may trigger some DUTs to change the test pattern.


Transmitting the CP1 Test Pattern

The pop-up dialog to change the test pattern looks like the example below. You may connect the oscilloscope front panel Aux Out to the DUT SSRX+ or to a Ping LFPS signal source. Click Toggle to toggle the test pattern or use the Ping LFPS source connected to the DUT receiver to change to the next test pattern. The Aux Out of the oscilloscope outputs a negative pulse whose width is between 300-400 ns which may trigger some DUTs to change the test pattern.


References to Specification

  • Table 6.9. SSC Parameters

  • Table 6-10. Transmitter Normative Electrical Parameters

  • Table 6-11. Transmitter Informative Electrical Parameters at Silicon Pads

  • Table 6-12. Normative Transmitter Eye Mask at Test Point TP1

  • Table 6-20. Normative LFPS Electrical Specification

  • Table 6-21. LFPS Transmitter Timing

This section contains copies of tables from the Universal Serial Bus 3.0 Specification, Revision 1.0 that are referenced by tests in the USB3 Electrical Compliance Test Application.


Table 6.9. SSC Parameters

Symbol | Description | Limits | Units | Note
Min | Max
tSSC-MOD-RATE | Modulation Rate | 30 | 33 | kHz
tSSC-FREQ-DEVIATION | SSC deviation | +0/-4000 | +0/-5000 | ppm | 1,2

NOTE:

  1. The data rate is modulated from 0 ppm to -5000 ppm of the nominal data rate frequency and scales with data rate.

  2. This is measured below 2 MHz only.


Table 6-10. Transmitter Normative Electrical Parameters

Symbol | Parameter | 5.0 GT/s | Units | Parameter
UI | Unit Interval | 199.94 (min) 200.06 (max) | ps | The specified UI is equivalent to a tolerance of + 300 ppm for each device. Period does not account for SSC induced variations.
VTX-DIFF-PP | Differential p-p Tx voltage swing | 0.8 (min) 1.2 (max) | V | Nominal is 1 V p-p.
VTX-DIFF-PP-LOW | Low-Power Differential p-p Tx voltage swing | 0.4 (min) 1.2 (max) | V | There is no de-emphasis requirement in this mode. De-emphasis is implementation-specific for this mode.
VTX-DE-RATIO | Tx de-emphasis | 3.0 (min) 4.0 (max) | dB | Nominal is 3.5 dB.
RTX-DIFF-DC | DC differential impedance | 72 (min) 120 (max) | Ω |
VTX-RCV-DETECT | The amount of voltage change allowed during Receiver Detection | 0.6 (max) | V | Detect voltage transition should be an increase in voltage on the pin looking at the detect signal to avoid a high impedance requirement when an "off" receiver's input goes below ground.
CAC-COUPLING | AC Coupling Capacitor | 75 (min) 200 (max) | nF | All Transmitters shall be AC coupled. The AC coupling is required either within the media or within the transmitting component itself.
tCDR_SLEW_MAX | Maximum slew rate | 10 | ms/s | See the jitter white paper for details on this measurement. This is a df/ft specification.


Table 6-11. Transmitter Informative Electrical Parameters at Silicon Pads

Symbol | Parameter | 5.0 GT/s | Units | Parameter
tMIN-PULSE-Dj | Deterministic min pulse | 0.96 | UI | Tx pulse width variation that is deterministic.
tMIN-PULSE-Tj | Tx min pulse | 0.90 | UI | Min Tx pulse at 10-12 including Dj and Rj.
tTX-EYE | Transmitter Eye | 0.625 (min) | UI | Includes all jitter sources.
tTX-DJ-DD | Tx deterministic jitter | 0.205 (max) | UI | Deterministic jitter only assuming the Dual Dirac distribution.
CTX-PARASITIC | Tx input capacitance for return loss | 1.25 (max) | pF | Parasitic capacitance to ground.
RTX-DC | Transmitter DC common mode impedance | 18 (min) 30 (max) | Ω | DC impedance limits to guarantee Receiver detect behavior. Measured with respect to AC ground over a voltage of 0-500 mV.
VTX-CM-AC-PP-ACTIVE | Tx AC common mode voltage active | 100 mV | mVp-p | Maximum mismatch from Txp + Txn for both time and amplitude.


Table 6-12. Normative Transmitter Eye Mask at Test Point TP1

Signal Characteristics | Minimal | Nominal | Maximum | Units | Note
Eye Height | 100 | 1200 | mV | 2,4
Dj | 0.43 | UI | 1,2,3
Rj | 0.23 | UI | 1,2,3,5
Tj | 0.66 | UI | 1,2,3

NOTE:

  1. Measured over 106 consecutive UI and extrapolated to 10-12 BER.

  2. Measured after receiver equalization function.

  3. Measured at end of reference channel and cables at TP1.

  4. The eye height is to be measured at the maximum opening (at the center of the eye width ±0.05UI).

  5. The Rj specification is calculated as 14.069 times the RMS random jitter for 10-12 BER.


Table 6-20. Normative LFPS Electrical Specification

Symbol | Minimum | Typical | Maximum | Units | Comments
tPeriod | 20 |  | 100 | ns |
VCM-AC-LFPS |  |  | VTX-CM-AC-PP-ACTIVE | mV |
VCM-LFPS-Active |  |  | 10 | mV |
VTX-DIFF-PP-LFPS | 800 |  | 1200 | mV | Peak-peak differential amplitude.
VTX-DIFF-PP-LFPS-LP | 400 |  | 600 | mV | Low power peak-peak differential amplitude.
tRiseFall2080 |  |  | 4 | ns | Measured at compliance TP1.
Duty cycle | 40 |  | 60 | % | Measured at compliance TP1.


Table 6-21. LFPS Transmitter Timing

 | tBurst |  |  |  | tRepeat
 | Min | Typ | Max | Minimum Number of LFPS Cycles | Min | Typ | Max
Polling.LFPS | 0.6 µs | 1.0 µs | 1.4 µs |  | 6 µs | 10 µs | 14 µs
Ping.LFPS | 40 ns |  | 200 ns | 2 | 160 µs | 200 ms | 240 ms
tReset | 80 ms | 100 ms | 120 ms |  |  |  |
U1 Exit | 300 ns |  | 900 ns/2 ms |  |  |  |
U2 / Loopback Exit | 80 µs |  | 2 ms |  |  |  |
U3 Wakeup | 80 µs |  | 10 ms |  |  |  |


Calibrating the 80000B and 90000A Series Infiniium Oscilloscopes

When to Run Self Calibration

Required Equipment for Calibration

Running the Self Calibration

This section describes the Agilent 80000B and 90000A Series Infiniium oscilloscopes calibration procedures.


When to Run Self Calibration

The self calibration uses signals generated in the oscilloscope to calibrate channel sensitivity, offsets, and trigger parameters. You should run the self calibration:

  • yearly, or according to your periodic needs,

  • when you replace the acquisition assembly or acquisition hybrids,

  • when you replace the hard drive or any other assembly,

  • when the oscilloscope's operating temperature (after the 30 minute warm-up period) is more than ±5 °C different from that of the last calibration.


Required Equipment for Calibration

To calibrate the Infiniium oscilloscope in preparation for running the USB3 automated tests, you need the following equipment:

Equipment Required:

Equipment | Critical Specifications | Agilent Part Number
Adapters (2 supplied with oscilloscope except for the DSO90254A) | 3.5 mm (f) to precision BNC No substitute | Agilent 54855-67604
Cable Assembly | 50 Ω characteristic impedance BNC (m) connectors ~ 36 inches (91 cm) to 48 inches (122 cm) long | Agilent 8120-1840
Cable Assembly (supplied with oscilloscope except for the DSO90254A which can use a good quality BNC cable) | No substitute | Agilent 54855-61620
10 MHz Signal Source (required for time scale calibration) | Frequency accuracy better than 0.4 ppm | Agilent 53131A with Opt. 010


Running the Self Calibration

[Note] Let the Oscilloscope Warm Up Before Adjusting.

Warm up the oscilloscope for 30 minutes before starting the calibration procedure. Failure to allow warm up may result in inaccurate calibration.

[Note] Calibration time:

It will take approximately 1 hour to run the self calibration on the oscilloscope, including the time required to change cables from channel to channel.

  1. Let the oscilloscope warm up before running the self calibration.

    The self calibration should only be done after the oscilloscope has run for 30 minutes at ambient temperature with the cover installed. Calibration of an oscilloscope that has not warmed up may result in an inaccurate calibration.

  2. Pull down the Utilities menu and select Calibration.

  3. Click the check box to clear the Cal Memory Protect condition.

    You cannot run self calibration if this box is checked. See the following figure.

    Figure 8. Oscilloscope Calibration Window

    Oscilloscope Calibration Window

  4. Click Start, then follow the instructions on the screen.

    The routine will ask you to do the following things in sequence:

    1. Decide if you want to perform the Time Scale Calibration. Your choices are:

      • Standard Calibration — Time scale calibration will not be performed. Time scale calibration factors from the previous time scale calibration will be used and the 10 MHz reference signal will not be required. The remaining calibration procedure will continue.

      • Standard Calibration and Time Scale Calibration — Performs the time scale calibration. This option requires you to connect a 10 MHz reference signal to channel 1 that meets the following specifications.

        • Frequency: 10 MHz ±0.4 ppm = 10 MHz ±4 Hz

        • Amplitude: 0.2 Vpeak-to-peak to 5.0 Vpeak-to-peak

        • Wave shape: Sine or Square

        Failure to use a reference signal that meets this specification will result in an inaccurate calibration.

      • Standard Calibration and Reset Time Scale Calibration — Factory time scale calibration factors will be used. The 10 MHz reference signal will not be required. The remaining calibration procedure will continue.

    2. Disconnect everything from all inputs and Aux Out.

    3. Connect the calibration cable from Aux Out to channel 1.

      • You must use the 54855-61620 cable assembly with two 54855-67604 adapters for all oscilloscopes except for the DSO90254A which can use a good quality BNC cable. Failure to use the appropriate calibration cable will result in an inaccurate calibration.

    4. Connect the calibration cable from Aux Out to each of the channel inputs as requested.

    5. Connect the 50 Ω BNC cable from the Aux Out to the Aux Trig on the front panel of the oscilloscope.

    6. A Passed/Failed indication is displayed for each calibration section. If any section fails, check the calibration cables and run the oscilloscope Self Test in the Utilities menu.

    7. After the calibration procedure is completed, click Close.


Running the Automated Test Application on a Second Monitor

A second monitor can be used to display the automated test application, allowing you to view the oscilloscope while using the application. You need to connect a second monitor to the video port labeled Second Monitor on the rear panel of the oscilloscope and not to the port labeled VGA. (The VGA output is only used to display the screen of the oscilloscope on the external monitor.)

Before starting the automated test application, you should be sure that the second monitor is properly configured:

  1. Exit the oscilloscope application, and click on the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Themes.

  4. Select Display.

  5. Select the Settings tab.

  6. Select monitor two and set the Screen resolution and Color quality for your monitor.

  7. Enable the Extend my Windows desktop onto this monitor control.

  8. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off the oscilloscope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extend my Windows desktop onto this monitor control.


Glossary

B

BER

Bit Error Rate.

C

CTLE

Continuous Time Linear Equalizer.

D

Dj

Deterministic jitter.

DUT

Device Under Test.

R

Rj

Random jitter.

S

SSC

Spread Spectrum Clock.

T

Tj

Total jitter.

U

UDF

User Defined Function.

USB

Universal Serial Bus.


Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.